package com.gct.aoid.entity;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author 王森玉
 * @since 2021-01-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="AoidSinglegtYield对象", description="")
@TableName(schema = "aoid",value = "aoid_singlegt_yield")
public class AoidSinglegtYield extends Model<AoidSinglegtYield> {

    private static final long serialVersionUID=1L;
    @TableId
    private String wellId;

    private String wellCommonName;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private LocalDateTime prodDate;

    private Double stroke;

    private Double frequence;

    private Double bj;

    private Double bs;

    private Double cmd;

    private Double yzzj;

    private Double sxzh;

    private Double xxzh;

    private String sgt;

    private String bgt;

    private String zdjg;

    private String refrencewellId;

    private LocalDateTime refrencecjsj;

    private Double liqProdDaily;

    private Double oilProdDaily;

    private Double gasProdDaily;

    private String eczdjg;

    private Double bx;

    private Double hsl;

    private Double flag;

    private Double bdxs;

    private Double llpl;

    private Double zcc;

    private Double ycc;

    private Double sjcc;

    private Double yxcc;

    private Double ccss;

    private Double lsss;

    private Double gyss;

    private Double pumpdepth;

    private Double hy;

    private Double yy;

    private Double ty;

    private Double waterProdDaily;

    private String refrencesgt;

    private Double scsj;

    private Double qyb;

    private Double strokeRatio;

    private Double djdy;

    private Double hjwd;

    private Double ybdl;

    private Double xhqd;

    private String sbh;
    private Double smd;
    private Double ymd;

    private Double dym;

    @ApiModelProperty(value = "remark")
    private String remark;

    @Override
    protected Serializable pkVal() {
        return this.wellId;
    }

}
