package com.gct.aoid.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * class name: ProDataForCalProduction
 * <p>
 * 甲方生产库数据
 * 为了计算产量数据
 * </p>
 *
 * @author lloyd
 * @version 1.0
 * @since 2021/2/4 下午3:09
 */
@Data
public class ProDataForCalProduction {
    @TableField("wellId")
    private String jh;
    @TableField("oilNozzle")
    private Double bj;
    @TableField("pumpDepth")
    private Double bs;
    /*
    %
     */
    @TableField("waterCut")
    private Double hsl;
    @TableField("gasOilRatio")
    private Double qyb;
    @TableField("startPumpLiqLevel")
    private Double dym;
    @TableField("surfaceCrudeOilDensity")
    private Double ymd;
    @TableField("surfaceCrudeWaterDensity")
    private Double smd;
    @TableField("prodDate")
    private String proDate;


    @TableField("backPres")
    private Double back_pres;
    @TableField("tubingPres")
    private Double tubing_pres;
    @TableField("casingPres")
    private Double casing_pres;

}
