package com.gct.aoid.mapper;

import com.gct.aoid.entity.AoidCalprotaskqueue;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author Lloyd
 * @since 2021-02-01
 */
@Mapper
public interface AoidCalprotaskqueueMapper extends BaseMapper<AoidCalprotaskqueue> {

    /**
     *
     * @param num
     * @return
     */

    @Select("select  *  from aoid.aoid_calprotaskqueue where status=#{?0} limit #{?1}")
    List<AoidCalprotaskqueue> getTaskRecords(@Param("?0") int status,@Param("?1") int num);

    Boolean updateStatusByIDList(@Param("stu") Integer status, @Param("rList") List<String> rList);

}
