package com.gct.aoid.mapper;

import com.gct.aoid.entity.AoidSinglegtYield;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Lloyd
 * @since 2021-01-31
 */
@Mapper
public interface AoidSinglegtYieldMapper extends BaseMapper<AoidSinglegtYield> {

    List<AoidSinglegtYield> findByJh(@Param("jh") String jh);



    List<AoidSinglegtYield> getAoidSinglegtYieldInfoByWellIdAndPorDatePeriod(@Param("wellId") String wellId,
                                                                             @Param("startDate") String startDate);

    List<AoidSinglegtYield> getAoidSinglegtYieldInfoByWellIdAndPorDatePeriodAndPages(@Param("wellId") String wellId,
                                                                                     @Param("startDate") String startDate,
                                                                                     @Param("endDate") String endDate,
                                                                                     @Param("page") int page,
                                                                                     @Param("size") int size);
}
