package com.gct.aoid.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gct.aoid.entity.AoidSinglegtYield;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.common.core.result.Result;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author 王森玉
 * @since 2021-01-31
 */
public interface AoidSinglegtYieldService extends IService<AoidSinglegtYield> {

    /**
     * 量液--功图平铺
     * Author:王森玉
     * @param pageNum
     * @param pageSize
     * @param jh
     * @return
     */

    Result findAoidSinglegtYieldByPages(Integer pageNum, Integer pageSize, String jh);


    List<AoidSinglegtYield> findByJh(String jh);


    List<Map<String, Object>> getAoidSinglegtYieldInfoByWellIdAndPorDatePeriod(String wellId, String startDate);

    Page<Map<String,Object>> getAoidSinglegtYieldInfoByWellIdAndPorDatePeriodAndPages(String wellId, String startDate, String endDate, int page, int size) throws ParseException;
}
