package com.gct.aoid.service.impl;

import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * class name: systemt
 *
 * @author lloyd
 * @version 1.0
 * @since 2021/1/29 上午1:34
 */
@Component
@Slf4j
public class systemt {
    private long j = 0;

    @Scheduled(cron = "*/1 * * * * *")
    public void task() {
        log.info("Task---1 run in 1 seconds,{}", j);
        try {
            Thread.sleep(10);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
        j++;
    }
}
